import { ElementRef, AfterViewInit, ViewContainerRef, Renderer2, TemplateRef } from '@angular/core';
import { JoyrideStepsContainerService } from "../services/joyride-steps-container.service";
export declare const TARGET_ATTRIBUTE = "data-joyride-step-number";
export declare const NO_POSITION = "NO_POSITION";
export declare class JoyrideDirective implements AfterViewInit {
    private el;
    private readonly joyrideStepsContainer;
    private readonly viewContainerRef;
    private readonly renderer;
    stepNumber: number;
    title?: string;
    text?: string;
    stepPosition?: string;
    stepContent?: TemplateRef<any>;
    constructor(el: ElementRef, joyrideStepsContainer: JoyrideStepsContainerService, viewContainerRef: ViewContainerRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    private getStepNumber();
    private validateInputs();
}
